APIReferenceSubscriptions
apiKeyAuthorizationBearer <token>Personal API key (osg_…)
id*string^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$uuidapplication/jsonlabels?array<>items <= 20events?array<>1 <= itemslabelMatch?string"any""all"status?string"active""paused"channels?array<>Replaces the current channels
Default Response
application/jsonid*stringrepo*events*array<>labels*array<string>labelMatch*string"any""all"status*string"active""paused"channels*array<>createdAt*stringdate-timecurl -X PATCH 'https://example.com/api/v1/me/subscriptions/497f6eca-6276-4993-bfeb-53cbbbba6f08' \ -H 'Content-Type: application/json' \ -d '{}'{ "id": "string", "repo": { "fullName": "string", "url": "string" }, "events": [ "issue.opened" ], "labels": [ "string" ], "labelMatch": "any", "status": "active", "channels": [ { "channelId": "5f6d08bc-455a-4532-98b8-19e2cee51160", "frequency": "instant" } ], "createdAt": "2019-08-24T14:15:22Z"}